﻿@model IEnumerable<EmpoyeesApp.Models.EmployeeModel.Employee>;
@{
    Layout = "_Layout";
}

<div>
    <h3>Employees list</h3>
    <br />
    <a class="btn btn-default" href="/Employee/NewEmployee">+ New employee</a>
    <br />
    <br />
    <table class="table">
        <thead>
            <tr>
                <th>Name</th>
                <th>Birthday</th>
                <th>Post</th>
                <th>Phone number</th>
                <th>Sex</th>
                <th></th>
                <th></th>
            </tr>
        </thead>
        @foreach (var employee in Model)
        {
            <tbody>
                <tr>
                    <td>@($"{employee.LastName} {employee.FirstName} {employee.MiddleName}")</td>
                    <td>@employee.Birhtday.Date.ToString("dd.MM.yyyy")</td>
                    <td>@employee.Post.Name</td>
                    <td>@employee.PhoneNumber</td>
                    <td>@employee.Sex</td>
                    <td><a href="~/Employee/ModifyEmployee/@employee.Id">Edit</a></td>
                    <td>
                        <a href="~/Employee/DeleteEmployee/@employee.Id" onclick="return confirm('Do you want delete this employee?');">Delete</a>
                    </td>
                </tr>
            </tbody>
        }
    </table>
</div>